<form method="post" action="options.php" id="scheduler_config_form">
	
	<link rel='STYLESHEET' type='text/css' href='<?php echo WP_PLUGIN_URL; ?>/event-calendar-scheduler/codebase/dhtmlx.css'>

	<script src='<?php echo WP_PLUGIN_URL; ?>/event-calendar-scheduler/codebase/dhtmlx.js'></script>
	<script src='<?php echo WP_PLUGIN_URL; ?>/event-calendar-scheduler/codebase/dhtmlxSchedulerConfigurator.js'></script>
	<script src="<?php echo WP_PLUGIN_URL; ?>/event-calendar-scheduler/codebase/connector/connector.js" type="text/javascript" charset="utf-8"></script>
	<?php
		if ($loc != '') {
			echo '<script src="'.WP_PLUGIN_URL.'/event-calendar-scheduler/codebase/locale/locale_'.$loc.'.js"></script>';
		}
	?>

	<script>
		var conf;
		window.onload = function() {
			conf = new dhtmlxSchedulerConfig({
				parent: 'schedulerConfigurator',
				hidden: 'scheduler_xml',
				access: 'wp',
				url: '<?php echo WP_PLUGIN_URL; ?>/event-calendar-scheduler/codebase/',
				wp_specific: true
			});
		}
		
		function restore_scheduler_config() {
			document.getElementById('scheduler_xml').value = '<config>restore_default</config>';
			document.getElementById('scheduler_config_form').submit();
		}
	</script>
	<?php settings_fields('scheduler_options'); ?>
	<div id="schedulerConfigurator" style="position: relative; width: 800px; height: 620px; float: left; margin-top: 16px;"></div>
	<div style="clear: both;">&nbsp;</div>
	<input type="hidden" id="scheduler_xml_version" name="scheduler_xml_version" value="<?php echo $cfg->getXmlVersion(); ?>" />
	<input type="hidden" id="scheduler_xml" name="scheduler_xml" value='' />
	<input type="hidden" name="action" value="update" />
	<input type="hidden" name="page_options" value="scheduler_xml,scheduler_xml_version" />
	<p class="submit">
		<input type="submit" name="Submit" value="<?php _e('Save Changes') ?>" />
		<input type="button" name="Restore" value="<?php _e('Restore default') ?>" onclick="restore_scheduler_config();" />
	</p>
</form>