<?php


class SchedulerConfig {

	private $xml;
	private $settings = Array();
	private $default_xml = '<config><active_tab>a1</active_tab><settings><settings_width>680px</settings_width><settings_height>600px</settings_height><settings_eventnumber>2</settings_eventnumber><settings_link></settings_link><settings_posts>false</settings_posts><settings_repeat>true</settings_repeat><settings_firstday>false</settings_firstday><settings_multiday>true</settings_multiday><settings_singleclick>false</settings_singleclick><settings_day>true</settings_day><settings_week>true</settings_week><settings_month>true</settings_month><settings_agenda>false</settings_agenda><settings_year>false</settings_year><settings_defaultmode>month</settings_defaultmode><settings_debug>false</settings_debug><settings_eventnumber>2</settings_eventnumber><settings_collision>false</settings_collision><settings_expand>true</settings_expand><settings_print>false</settings_print><settings_minical>false</settings_minical></settings><access><access_guestView>true</access_guestView><access_guestAdd>false</access_guestAdd><access_guestEdit>false</access_guestEdit><access_subscriberView>true</access_subscriberView><access_subscriberAdd>false</access_subscriberAdd><access_subscriberEdit>false</access_subscriberEdit><access_contributorView>true</access_contributorView><access_contributorAdd>false</access_contributorAdd><access_contributorEdit>false</access_contributorEdit><access_authorView>true</access_authorView><access_authorAdd>false</access_authorAdd><access_authorEdit>false</access_authorEdit><access_editorView>true</access_editorView><access_editorAdd>true</access_editorAdd><access_editorEdit>true</access_editorEdit><access_administratorView>true</access_administratorView><access_administratorAdd>true</access_administratorAdd><access_administratorEdit>true</access_administratorEdit></access><templates><templates_defaultdate><![CDATA[%d %M %Y]]></templates_defaultdate><templates_monthdate><![CDATA[%F %Y]]></templates_monthdate><templates_weekdate><![CDATA[%D, %F %d]]></templates_weekdate><templates_daydate><![CDATA[%d/%m/%Y]]></templates_daydate><templates_hourdate><![CDATA[%H:%i]]></templates_hourdate><templates_monthday><![CDATA[%d]]></templates_monthday><templates_minmin><![CDATA[5]]></templates_minmin><templates_hourheight><![CDATA[40]]></templates_hourheight><templates_starthour><![CDATA[0]]></templates_starthour><templates_endhour><![CDATA[24]]></templates_endhour><templates_eventtext><![CDATA[return event.text;]]></templates_eventtext><templates_eventheader><![CDATA[return scheduler.templates.hour_scale(start) + " - " + scheduler.templates.hour_scale(end);]]></templates_eventheader><templates_eventbartext><![CDATA[return "<span title=\'"+event.text+"\'>" + event.text + "</span>";]]></templates_eventbartext></templates><customfields><customfield name="Text" dsc="Description" type="textarea" old_name="Text" use_colors="false" units="false" height="150" /></customfields></config>';
	private $log_file = 'com_scheduler_log.xml';

	function __construct($hiddenName, $connection, $table, $fieldName, $fieldValue, $tableEventsRec, $prefix) {
		$this->connection = $connection;
		$this->table = $table;
		$this->fieldName = $fieldName;
		$this->fieldValue = $fieldValue;
		$this->tableEventsRec = $tableEventsRec;
		$this->prefix = $prefix;
		$this->parseConfig();
	}


	private function parseConfig() {
		$query = "SELECT `".$this->fieldName."`, `".$this->fieldValue."` FROM ".$this->prefix.$this->table." WHERE `".$this->fieldName."`='scheduler_xml_version' OR `".$this->fieldName."`='scheduler_php_version' LIMIT 2";
		$res = mysql_query($query, $this->connection);
		$version = mysql_fetch_assoc($res);
		$versions[$version[$this->fieldName]] = $version[$this->fieldValue];
		$version = mysql_fetch_assoc($res);
		$versions[$version[$this->fieldName]] = $version[$this->fieldValue];
		$this->scheduler_xml_version = $versions['scheduler_xml_version'];

		if (($versions['scheduler_php_version'] != $versions['scheduler_xml_version'])||($versions['scheduler_xml_version'] == '')) {
			$query = "SELECT `".$this->fieldValue."` FROM ".$this->prefix.$this->table." WHERE `".$this->fieldName."`='scheduler_xml'";
			$res = mysql_query($query, $this->connection);
			$this->xml = mysql_result($res, 0, $this->fieldValue);
			$this->xmlObj = simplexml_load_string($this->xml);
			if ((string) $this->xmlObj[0] == 'restore_default') {
				$query = "UPDATE `".$this->prefix.$this->table."` SET `".$this->fieldValue."` = '".mysql_real_escape_string($this->default_xml, $this->connection)."' WHERE `".$this->fieldName."` ='scheduler_xml' LIMIT 1 ;";
				$res = mysql_query($query);
				$this->xmlObj = simplexml_load_string($this->default_xml);
				$this->xml = $this->default_xml;
				$this->removeCustomFieldsFromDB();
			}
			$this->settingsParse();
			$this->accessParse();
			$this->templatesParse();
			$this->customfieldsParse();
			$this->php = $this->serializeOptions($this->settings);
			$query = "UPDATE `".$this->prefix.$this->table."` SET `".$this->fieldValue."` = '".mysql_real_escape_string($this->php, $this->connection)."' WHERE `".$this->fieldName."` ='scheduler_php' LIMIT 1 ;";
			$res = mysql_query($query);
			$query = "UPDATE `".$this->prefix.$this->table."` SET `".$this->fieldValue."` = '".$versions['scheduler_xml_version']."' WHERE `".$this->fieldName."` ='scheduler_php_version' LIMIT 1 ;";
			$res = mysql_query($query);
			$query = "UPDATE `".$this->prefix.$this->table."` SET `".$this->fieldValue."` = '".$this->settings['settings_eventnumber']."' WHERE `".$this->fieldName."`='sidebar_num' LIMIT 1";
			$res = mysql_query($query);

		} else {
			$query = "SELECT `".$this->fieldValue."` FROM ".$this->prefix.$this->table." WHERE `".$this->fieldName."`='scheduler_php' LIMIT 1";
			$res = mysql_query($query);
			$this->php = mysql_result($res, 0, $this->fieldValue);
			$this->parseOptions();
		}
	}

	public function get_option($name) {
		if (isset($this->settings[$name])) {
			return $this->settings[$name];
		} else {
			return false;
		}
	}


	public function set_option($name, $value) {
		$this->settings[$name] = $value;
		$this->php = $this->serializeOptions($this->settings);
		$query = "UPDATE `".$this->prefix.$this->table."` SET `".$this->fieldValue."` = '".mysql_real_escape_string($this->php, $this->connection)."' WHERE `".$this->fieldName."` ='scheduler_php' LIMIT 1 ;";
		$res = mysql_query($query);
		$preg = "/(<".$name.">)(.*)(<\/".$name.">)/";
		$this->xml = preg_replace($preg, "<".$name.">".$value."</".$name.">", $this->xml);
		$query = "UPDATE `".$this->prefix.$this->table."` SET `".$this->fieldValue."` = '".mysql_real_escape_string($this->xml, $this->connection)."' WHERE `".$this->fieldName."` ='scheduler_xml' LIMIT 1 ;";
		$res = mysql_query($query);
	}


	private function settingsParse() {
		$settings = $this->xmlObj->settings->children();
		foreach ($settings as $k=>$v) {
			$this->settings[$k] = (string) $v;
		}
	}


	private function accessParse() {
		$access = $this->xmlObj->access->children();
		foreach ($access as $k=>$v) {
			$this->settings[$k] = (string) $v;
		}
	}


	private function templatesParse() {
		$templates = $this->xmlObj->templates->children();
		foreach ($templates as $k=>$v) {
			$value = (string) $v;
			$value = str_replace("\n", "", $value);
			$this->settings[$k] = $value;
		}
	}


	private function customfieldsParse() {
		$customfields = $this->xmlObj->customfields->children();
		$this->settings['customfields'] = Array();
		foreach ($customfields as $k=>$v) {
			$cf = Array();
			$cf['name'] = strtolower(str_replace(" ","",(string) $v->attributes()->name));
			$cf['dsc'] = (string) $v->attributes()->dsc;
			$cf['old_name'] = (string) $v->attributes()->old_name;
			$cf['type'] = (string) $v->attributes()->type;
			$cf['use_colors'] = (string) $v->attributes()->use_colors;
			$cf['units'] = (string) $v->attributes()->units;
			if ($cf['type'] == 'select') {
				$options = $v->children();
				$i = 0;
				foreach ($options as $optK=>$optV) {
					$cf['options'][$i]['name'] = (string) $optV;
					$cf['options'][$i]['color'] = (string) $optV->attributes()->color;
					$i++;
				}
			} else {
				$cf['height'] = (string) $v->attributes()->height;
			}
			$this->settings['customfields'][] = $cf;
		}
		$this->customfieldsCreate($this->settings['customfields']);
	}


	private function customfieldsCreate($customfields) {
		$fieldsString = 'scheduler.config.lightbox.sections=[';
		$fieldsNames = '';
		$fieldsList = '';
		$eventStyles = '';
		$eventTemplate = '';
		$units = array();

		$query = 'SELECT * FROM '.$this->prefix.$this->tableEventsRec.' LIMIT 1';
		$res = mysql_query($query);
		$i = 0;
		$fields = array();
		for ($i = 0; $i < mysql_num_fields($res); $i++) {
			$field = mysql_field_name($res, $i);
			$fields[] = $field;
		}
		$fieldsFinal = Array('event_id', 'start_date', 'end_date', 'rec_type', 'event_pid', 'event_length');
		for ($i = 0; $i < count($customfields); $i++) {
			$fieldName = strtolower(str_replace(' ', '', $customfields[$i]['name']));
			$fieldsName = mysql_real_escape_string($fieldName, $this->connection);
			$fieldNameOld = strtolower(str_replace(' ', '', $customfields[$i]['old_name']));
			$fieldsNameOld = mysql_real_escape_string($fieldNameOld, $this->connection);
			$fieldsFinal[] = $fieldName;
			$fieldsNames .= "scheduler.locale.labels.section_".$fieldName." = '".$customfields[$i]['dsc']."';";
			if ($customfields[$i]['type'] == 'textarea') {
				$height = str_replace("px", "", $customfields[$i]['height']);
				if ($height == '') {
					$height = '100';
				}
				$fieldsString .= '{name:"'.$fieldName.'", height:'.$height.', map_to:"'.$fieldName.'", type:"textarea" , focus:true},';
			} else {
				$fieldsString .= '{name:"'.$fieldName.'", height: 21, type: "select", map_to: "'.$fieldName.'", options:[ ';
				if ($customfields[$i]['use_colors'] == 'true') {
					$eventTemplate = "scheduler.templates.event_class = function(start_date, end_date, event) { switch(event.".$fieldName.") {";
				}
				if ($customfields[$i]['units'] == 'true') {
					$unit = 'scheduler.locale.labels.'.$customfields[$i]['name'].'_tab = "'.$customfields[$i]['dsc'].'";';
					$unit .= 'scheduler.createUnitsView({ name:"'.$customfields[$i]['name'].'", property:"'.$customfields[$i]['name'].'", list: [';
				} else {
					$unit = false;
				}
				$optionsList = '';
				for ($j = 0; $j < count($customfields[$i]['options']); $j++) {
					$fieldsString .= '{key:"'.$fieldName."_".$j.'", label:"'.$customfields[$i]['options'][$j]['name'].'"},';
					$optionsList .= $fieldName."_".$j.':'.$customfields[$i]['options'][$j]['name'].',';
					if ($customfields[$i]['use_colors'] == 'true') {
						$eventStyles .= ".dhx_cal_event.".$fieldName."_".$j." div { background-color: ".$customfields[$i]['options'][$j]['color']." !important; } ";
						$eventStyles .= ".dhx_cal_event_line.".$fieldName."_".$j." { background-color: ".$customfields[$i]['options'][$j]['color']." !important; background-image: none !important; } ";
						$eventStyles .= ".dhx_cal_event_clear.".$fieldName."_".$j." { background-color: ".$customfields[$i]['options'][$j]['color']." !important; background-image: none !important; } ";
						$eventTemplate .= "case '".$fieldName."_".$j."': return '".$fieldsName."_".$j."';";
					}
					if ($customfields[$i]['units'] == 'true') {
						$unit .= '{key:"'.$fieldName."_".$j.'", label:"'.$customfields[$i]['options'][$j]['name'].'"},';
					}
				}
				if ($unit) {
					$unit = substr($unit, 0, strlen($unit) - 1)."]});";
					$this->settings['units_'.$customfields[$i]['name']] = $unit;
				}
				if ($customfields[$i]['use_colors'] == 'true') {
					$eventTemplate .= "default: return '".$fieldName."_0'} };";
				}
				$this->settings['optionsList_'.$fieldName] = substr($optionsList, 0, strlen($optionsList) - 1);
				$fieldsString = substr($fieldsString, 0, strlen($fieldsString) - 1);
				$fieldsString .= ']},';
			}
			if ($fieldName != 'text') {
				$fieldsList .= $fieldName.',';
			}
			if (!in_array(strtolower($customfields[$i]['name']), $fields)) {
				if ($customfields[$i]['old_name'] == '') {
					$query = "ALTER TABLE `".$this->prefix.$this->tableEventsRec."` ADD `".$fieldName."` TEXT NOT NULL ";
					$res = mysql_query($query, $this->connection);
				} else {
					if ($customfields[$i]['name'] !== $customfields[$i]['old_name']) {
						$query = "ALTER TABLE `".$this->prefix.$this->tableEventsRec."` CHANGE `".$fieldNameOld."` `".$fieldName."` TEXT NOT NULL ";
						$res = mysql_query($query, $this->connection);
					}
				}
			}

		}
		if ($this->settings['settings_repeat'] == 'true') {
			$fieldsString .= '{name:"recurring", height:115, type:"recurring", map_to:"rec_type", button:"recurring"},';
		}
		if ($this->settings['settings_minical'] == 'true') {
			$fieldsString .= '{name:"time", height:72, type:"calendar_time", map_to:"auto"}';
		} else {
			$fieldsString .= '{name:"time", height:72, type:"time", map_to:"auto"}';
		}
		for ($i = 0; $i < count($fields); $i++) {
			if (!in_array($fields[$i], $fieldsFinal)) {
				$query = "ALTER TABLE `".$this->prefix.$this->tableEventsRec."` DROP `".$fields[$i]."`";
				$res = mysql_query($query, $this->connection);
			}
		}
		$fieldsString .= '];';
		$fieldsList = substr($fieldsList, 0, strlen($fieldsList) - 1);

		$this->settings['customfields'] = $fieldsString;
		$this->settings['customfieldsList'] = $fieldsList;
		$this->settings['customfieldsNames'] = $fieldsNames;
		$this->settings['customfieldsCSS'] = $eventStyles;
		$this->settings['customfieldsTemplate'] = $eventTemplate;
		return true;
	}

	
	private function removeCustomFieldsFromDB() {
		$query = 'SELECT * FROM '.$this->prefix.$this->tableEventsRec.' LIMIT 1';
		$res = mysql_query($query);
		$i = 0;
		$fields = array();
		for ($i = 0; $i < mysql_num_fields($res); $i++) {
			$field = mysql_field_name($res, $i);
			$fields[] = $field;
		}
		$fieldsFinal = Array('event_id', 'start_date', 'end_date', 'rec_type', 'event_pid', 'event_length', 'text');
		for ($i = 0; $i < count($fields); $i++) {
			if (!in_array($fields[$i], $fieldsFinal)) {
				$query = "ALTER TABLE `".$this->prefix.$this->tableEventsRec."` DROP `".$fields[$i]."`";
				$res = mysql_query($query, $this->connection);
			}
		}
	}


	private function parseOptions() {
		$this->settings['units'] = array();
		$options = explode("\n", $this->php);
		for ($i = 0; $i < count($options) - 1; $i++) {
			$opt = trim($options[$i]);
			$opt = explode('{*:*}', $opt);
			if (strpos($opt[0], 'units_') !== false) {
				$name = substr(trim($opt[0]), 6);
				$this->settings['units'][$name] = trim($opt[1]);
			} else {
				$this->settings[trim($opt[0])] = trim($opt[1]);
			}
		}
	}


	private function serializeOptions() {
		$php = '';
		foreach ($this->settings as $k=>$v) {
			if (!is_array($v)) {
				$php .= $k."{*:*}".$v."\n";
			}
		}
		return $php;
	}


	public function schedulerInit($usertype, $locale, $url, $joomla = false) {
		$settings = $this->settings;
		if ($joomla == true) {
			$user_postfix = '_j';
		} else {
			$user_postfix = '';
		}

		
		if ($this->settings['settings_debug'] == 'true') {
			$query = "SELECT `".$this->fieldValue."` FROM ".$this->prefix.$this->table." WHERE `".$this->fieldName."`='scheduler_xml'";
			$res = mysql_query($query, $this->connection);
			$xml = mysql_result($res, 0, $this->fieldValue);

			if (file_exists(WP_PLUGIN_DIR.'/event-calendar-scheduler/'.$this->log_file)) {
				$log = simplexml_load_file(WP_PLUGIN_DIR.'/event-calendar-scheduler/'.$this->log_file);
			} else {
				$log = simplexml_load_string('<logs></logs>');
			}
			$elem = $log->addChild('log');
			$elem->addAttribute('time', date("Y-m-d H:i:s"));
			$elem->addAttribute('usertype', $usertype);
			$elem = dom_import_simplexml($elem);
			$no = $elem->ownerDocument;
			$elem->appendChild($no->createCDATASection($xml)); 
			$log->asXML(WP_PLUGIN_DIR.'/event-calendar-scheduler/'.$this->log_file);
		}
		
		
		if ($settings["access_".$usertype."View".$user_postfix] != 'true') {
			return '';
		}
		$scheduler = "<script src=\"".$url."dhtmlxscheduler.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		$scheduler .= "<link rel=\"stylesheet\" href=\"".$url."dhtmlxscheduler_wp.css\" type=\"text/css\" title=\"no title\" charset=\"utf-8\">";
		$scheduler .= "<link rel=\"stylesheet\" href=\"".$url."dhtmlxscheduler.css\" type=\"text/css\" title=\"no title\" charset=\"utf-8\">";
		$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_url.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		if (count($settings['units']) > 0) {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_units.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		}

		if (($settings["settings_posts"] == 'true')||(($settings["access_".$usertype."Add".$user_postfix] != 'true')&&($settings["access_".$usertype."Edit".$user_postfix] != 'true'))) {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_readonly.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		}

		if ($settings['settings_repeat'] == 'true') {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_recurring.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
			$scheduler .= "<link rel=\"stylesheet\" href=\"".$url."ext/dhtmlxscheduler_recurring.css\" type=\"text/css\" title=\"no title\" charset=\"utf-8\">";
		}

		if ($settings['settings_year'] == 'true') {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_year_view.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		}

		if ($settings['settings_agenda'] == 'true') {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_agenda_view.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		}

		if ($settings['settings_expand'] == 'true') {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_expand.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		}

		if ($settings['settings_collision'] == 'true') {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_collision.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		}

		if ($settings['settings_print'] == 'true') {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_pdf.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		}

		if ($settings['settings_minical'] == 'true') {
			$scheduler .= "<script src=\"".$url."ext/dhtmlxscheduler_minical.js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
		}

		if (strlen($locale) > 0) {
			$scheduler .= "<script src=\"".$url."sources/locale_".$locale.".js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
			if ($settings['settings_repeat'] == 'true') {
				$scheduler .= "<script src=\"".$url."sources/locale_recurring_".$locale.".js\" type=\"text/javascript\" charset=\"utf-8\"></script>";
			}
		}

		$scheduler .= "<style>".$settings['customfieldsCSS']."</style>";

		$scheduler .= "<script type=\"text/javascript\" charset=\"utf-8\">";
		$scheduler .= "window.onload = function init() {";
		$scheduler .= "scheduler.config.details_on_create=true;";
		$scheduler .= "scheduler.config.details_on_dblclick=true;";
		$scheduler .= "scheduler.config.default_date = \"".$settings['templates_defaultdate']."\";";
		$scheduler .= "scheduler.config.month_date = \"".$settings['templates_monthdate']."\";";
		$scheduler .= "scheduler.config.week_date = \"".$settings['templates_weekdate']."\";";
		$scheduler .= "scheduler.config.day_date = \"".$settings['templates_daydate']."\";";
		$scheduler .= "scheduler.config.hour_date = \"".$settings['templates_hourdate']."\";";
		$scheduler .= "scheduler.config.month_day = \"".$settings['templates_monthday']."\";";
		$scheduler .= "scheduler.config.api_date = \"%Y-%m-%d %H:%i:%s\";";
		$scheduler .= "scheduler.config.xml_date = \"%Y-%m-%d %H:%i:%s\";";
		$scheduler .= "scheduler.config.time_step = ".$settings['templates_minmin'].";";
		$scheduler .= "scheduler.config.hour_size_px = ".$settings['templates_hourheight'].";";
		$scheduler .= "scheduler.config.first_hour = ".$settings['templates_starthour'].";";
		$scheduler .= "scheduler.config.last_hour = ".$settings['templates_endhour'].";";
		$scheduler .= "scheduler.templates.event_text=function(start,end,event){ ".htmlspecialchars_decode($settings['templates_eventtext'])." };";
		$scheduler .= "scheduler.templates.event_header=function(start,end,event){ ".htmlspecialchars_decode($settings['templates_eventheader'])." };";
		$scheduler .= "scheduler.templates.event_bar_text=function(start,end,event){ ".htmlspecialchars_decode($settings['templates_eventbartext'])." };";
			if ($settings['settings_firstday'] == 'true') {
				$scheduler .= "scheduler.config.start_on_monday = false;";
			} else {
				$scheduler .= "scheduler.config.start_on_monday = true;";
			}

			if ($settings['settings_multiday'] == 'true') {
				$scheduler .= "scheduler.config.multi_day = true;";
			} else {
				$scheduler .= "scheduler.config.multi_day = false;";
			}

			if ($settings['settings_singleclick'] == 'true') {
				$scheduler .= "(function(){
					var old = scheduler._click.dhx_cal_data;
					scheduler._click.dhx_cal_data=function(e){
						var trg = e?e.target:event.srcElement;
						var id = scheduler._locate_event(trg);
						if (!id) {
							scheduler._on_dbl_click(e||event);
						} else {
							old.call(scheduler, e)
						}
					}
				})();\n";
			}

			if ($settings["settings_posts"] == 'true'){
				$scheduler .= "scheduler.config.dblclick_create = false;
					scheduler.config.drag_create= false;
					
					scheduler.config.readonly=true;
					scheduler.locale.labels.confirm_recurring = '';
					
					scheduler.attachEvent('onDblClick',function(){return false;});
					scheduler.attachEvent('onBeforeDrag',function(){return false;});";
			} else {
				
				if ($settings["access_".$usertype."Add".$user_postfix] != 'true') {
					$scheduler .= "scheduler.config.dblclick_create = false;
						scheduler.config.drag_create= false;";
				}
	
				if ($settings["access_".$usertype."Edit".$user_postfix] != 'true') {
					$scheduler .= "scheduler.attachEvent('onClick',function(){return false;});
						scheduler.attachEvent('onDblClick',function(){return false;});
						scheduler.attachEvent('onBeforeDrag',function(){return false;});";
						
				}
				
	
				if (($settings["access_".$usertype."Add".$user_postfix] != 'true')&&($settings["access_".$usertype."Edit".$user_postfix] != 'true')) {
					$scheduler .= "scheduler.config.readonly_form = true;
						scheduler.locale.labels.confirm_recurring = '';
						scheduler.config.drag_create = false;
						scheduler.config.dblclick_create = false;
						scheduler.attachEvent('onClick',function(id){ scheduler.showLightbox(id); return false; });
						scheduler.attachEvent('onBeforeDrag',function(){return false;});";
				}
				
			}
			$scheduler .= $settings['customfieldsNames']."\n\n";
			$scheduler .= $settings['customfields'];

			$scheduler .= $settings['customfieldsTemplate'];
			$defaultmode = $settings['settings_defaultmode'];
			if ($settings['settings_'.$defaultmode] == 'false') {
				$modesNum = false;
				$modes = Array('day', 'week', 'month', 'agenda', 'view');
				for ($i = 0; $i < count($modes); $i++) {
					if ($settings['settings_'.$modes[$i]] == 'true') {
						$defaultmode = $modes[$i];
						$modesNum = true;
						break;
					}
				}
				if ($modesNum == false) {
					return '';
				}
			}

			foreach ($settings['units'] as $k => $v) {
				$scheduler .= $v;
				$kl = strtolower($k);
				$settings['settings_'.$kl] = 'true';
			}
			
			$scheduler .= "scheduler.config.agenda_start = new Date();";
			$scheduler .= "scheduler.config.agenda_end = scheduler.date.add(new Date(), 1, 'month');";

			$scheduler .= "
				scheduler.init(\"scheduler_here\",null,\"".$defaultmode."\");
				scheduler.load(\"".$url."dhtmlxSchedulerConfiguratorLoad.php?scheduler_events=trueevents_rec=true&uid=\"+scheduler.uid());
				var dp = new dataProcessor(\"".$url."dhtmlxSchedulerConfiguratorLoad.php?scheduler_events=true\");
				dp.init(scheduler);";
				
			
			if ($settings['settings_debug'] == 'true') {
				$scheduler .= "dhtmlxError.catchError(\"LoadXML\",function(a,b,c){
					var html = \"The text below, contains details about of server side problem.<hr><pre style=\\\"font-size: 8pt;\\\">\"+ c[0].responseText + \"</pre>\";
					document.body.innerHTML = html;
					})";
			}

			$scheduler .= "

			};";
			
			if ($settings['settings_minical'] == 'true') {
				$scheduler .= "function show_minical(){
					if (scheduler.isCalendarVisible())
						scheduler.destroyCalendar();
					else
						scheduler.renderCalendar({
							position:\"dhx_minical_icon\",
							date:scheduler._date,
							navigation:true,
							handler:function(date,calendar){
								scheduler.setCurrentView(date);
								scheduler.destroyCalendar()
							}
						}); 
				}";
			}

		$scheduler .= "</script>
			<div id=\"scheduler_here\" class=\"dhx_cal_container\" style='width:".$settings['settings_width']."; height:".$settings['settings_height'].";'>
				<div class=\"dhx_cal_navline\">
					<div class=\"dhx_cal_prev_button\">&nbsp;</div>
					<div class=\"dhx_cal_next_button\">&nbsp;</div>
					<div class=\"dhx_cal_today_button\"></div>
					<div class=\"dhx_cal_date\"></div>";
			if ($settings['settings_minical'] == 'true') {
				$scheduler .= "<div class=\"dhx_minical_icon\" id=\"dhx_minical_icon\" onclick=\"show_minical()\">&nbsp;</div>";
			}
			$modes = array('settings_day', 'settings_week', 'settings_month', 'settings_year', 'settings_agenda');
			foreach ($settings['units'] as $k => $v) {
				$modes[] = 'settings_'.$k;
				$settings['settings_'.$k] = 'true';
			}
			$modesNumber = 0;
			for ($i = 0; $i < count($modes); $i++) {
				if ($settings[$modes[$i]] == 'true') {
					$modesNumber++;
				}
			}
			for ($i = 0; $i < count($modes); $i++) {
				if ($settings[$modes[$i]] == 'true') {
					$modesNumber--;
					$name = substr($modes[$i], 9);
					$scheduler .= "<div class=\"dhx_cal_tab\" name=\"".$name."_tab\" style=\"right:".(20 + 64*$modesNumber)."px;\"></div>";
				}
			}

			$scheduler .= "
				</div>
			<div class=\"dhx_cal_header\">
			</div>
			<div class=\"dhx_cal_data\">
			</div>
			<div style='position:absolute; bottom:5px; right:20px; font: Tahoma 8pt; color:black;'>
				Powered by <a href='http://dhtmlx.com' target='_blank' style='color:#444444;'>dhtmlxScheduler</a>
			</div>
		</div>";
		return $scheduler;
	}


	public function getXML() {
		$query = "SELECT `".$this->fieldValue."` FROM ".$this->prefix.$this->table." WHERE `".$this->fieldName."`='scheduler_xml' LIMIT 1";
		$res = mysql_query($query, $this->connection);
		$xml = mysql_result($res, 0, $this->fieldValue);
		$xml = str_replace("&ltq;", "<", $xml);
		$xml = str_replace("&gtq;", ">", $xml);
		return $xml;
	}

	
	public function getXmlVersion() {
		return ($this->scheduler_xml_version + 1);
	}
	

	public function getEventsRec($usertype, $joomla) {
		if ($joomla == true) {
			$user_postfix = '_j';
		} else {
			$user_postfix = '';
		}
		require("./connector/scheduler_connector.php");
		$this->scheduler = new schedulerConnector($this->connection);
		if ($this->settings['debug'] == 'true') {
			$this->scheduler->enable_log("scheduler_log.txt", true);
		}

		if ($this->settings['settings_posts'] == 'true') {
			$this->scheduler->access->deny("insert");
			$this->scheduler->access->deny("update");
			$this->scheduler->access->deny("delete");

			$this->scheduler->event->attach("beforeRender", Array($this, "posts_table_builder"));
			$this->scheduler->render_sql("SELECT `ID`,`post_date`,`post_date_gmt`,`post_title`,`guid` FROM `".$this->prefix."posts` WHERE `post_type`='post'", "ID", "post_date,post_date_gmt,post_title,guid");
		} else {
			if ($this->settings["access_".$usertype."Add".$user_postfix] != 'true') {
				$this->scheduler->access->deny("insert");
			}
			if ($this->settings["access_".$usertype."Edit".$user_postfix] != 'true') {
				$this->scheduler->access->deny("update");
				$this->scheduler->access->deny("delete");
			}
			if ($settings[$scheduler_repeat] == 'true') {
				$this->scheduler->event->attach("beforeProcessing", Array($this, "delete_related"));
				$this->scheduler->event->attach("afterProcessing", Array($this, "insert_related"));
			}
			$fields = 'start_date,end_date,text';
			if ($this->settings['customfieldsList']) {
				$fields .= ",".$this->settings['customfieldsList'];
			}
			$fields .= ',rec_type,event_pid,event_length';
			$this->scheduler->render_table($this->prefix.$this->tableEventsRec,"event_id",$fields);
		}
	}


	public function getEventsRecGrid() {
		require("./connector/grid_connector.php");
		$grid = new GridConnector($this->connection);
		$fields = 'text,start_date,end_date';
		$fieldsNames = 'Event text,Start date,End Date';
		$types = 'edtxt,ed,ed';
		$aligns = 'left,center,center';
		$widths = '*,15,15';
		$sort = 'str,str,str';
		if ($this->settings['customfieldsList']) {
			$fields .= ",".$this->settings['customfieldsList'];
			$fieldsNames .= ",".ucfirst($this->settings['customfieldsList']);
			$fieldsList = explode(",", $this->settings['customfieldsList']);
			$fillFields = '';
			for ($i = 0; $i < count($fieldsList); $i++) {
				if (isset($this->settings['optionsList_'.$fieldsList[$i]])) {
					$types .= ",coro";
					$fillFields .= $fieldsList[$i].",";
//					echo "<pre>";
//					print_r(explode(',', $this->settings['optionsList_'.$fieldsList[$i]]));
//					echo "</pre>";
					$opts = explode(',', $this->settings['optionsList_'.$fieldsList[$i]]);
					$optionsList = array();
					for ($j = 0; $j < count($opts); $j++) {
						$opt = explode(':', $opts[$j]);
						$optionsList[$opt[0]] = $opt[1];
					}
					$grid->set_options(strtolower($this->settings['customfieldsList']), $optionsList);
				} else {
					$types .= ",ed";
				}
				$aligns .= ",left";
				$widths .= ",15";
				$sort .= ",str";
			}
		}
		$grid->setHeader($fieldsNames);
		$grid->setColIds($fieldsNames);
		$grid->setColTypes($types);
		$grid->setColAlign($aligns);
		$grid->setInitWidthsP($widths);
		$grid->setColSorting($sort);
		$grid->render_table($this->prefix.$this->tableEventsRec,"event_id",$fields);
	}


	private function insert_related($action) {
		$status = $action->get_status();
		$type =$action->get_value("rec_type");

		if ($status == "inserted" && $type=="none")
			$action->set_status("deleted");
	}
	
	
	private function delete_related($action){
		$status = $action->get_status();
		$type =$action->get_value("rec_type");
		$pid =$action->get_value("event_pid");
		if (($status == "deleted" || $status == "updated") && $type!=""){
			$this->scheduler->sql->query("DELETE FROM `".$this->prefix.$this->tableEventsRec."` WHERE event_pid='".$this->scheduler->sql->escape($action->get_id())."'");
		}
		if ($status == "deleted" && $pid !=0){
			$this->scheduler->sql->query("UPDATE `".$this->prefix.$this->tableEventsRec."` SET rec_type='none' WHERE event_id='".$this->scheduler->sql->escape($action->get_id())."'");
			$action->success();
		}
	}

	
	private function posts_table_builder($row) {
		$start = substr($row->get_value("post_date"), 0, 10)." 00:00:00";
		$row->set_value("post_date", $start);
		$start = date_parse($start);
		$endd = mktime($start['hour'], $start['minute'], $start['second'], $start['month'], $start['day'] + 1, $start['year']);
		$endd = date("Y-m-d", $endd)." 00:00:00";
		$row->set_value("post_date_gmt", $endd);
		$text = $row->get_value("post_title");
		$text = "<a href=\"".$row->get_value("guid")."\">".$text."</a>";
		$row->set_value("post_title", $text);
	}
	
}

?>