<?php

require('../../../../wp-config.php');
define('WP_USE_THEMES', true);
require_once(WP_PLUGIN_DIR.'/event-calendar-scheduler/codebase/dhtmlxSchedulerConfigurator.php');

$table = 'options';
$tableEvents = 'events_rec';
$fieldName = 'option_name';
$fieldValue = 'option_value';

if (isset($wpdb->base_prefix)) {
	$prefix = $wpdb->base_prefix;
} else {
	$prefix = $wpdb->prefix;
}


$usertypes = Array(0 => 'subscriber', 1 => 'contributor', 2 => 'author', 3 => 'editor', 4 => 'editor', 5 => 'editor', 6 => 'editor', 7 => 'editor', 8 => 'administrator', 9 => 'administrator', 10 => 'administrator');
get_currentuserinfo();
if (isset($current_user->roles[0])) {
	$usertype = $current_user->roles[0];
} else {
	$usertype = 'guest';
}

$cfg = new SchedulerConfig('scheduler_config_xml', $wpdb->dbh, $table, $fieldName, $fieldValue, $tableEvents, $prefix);
if (isset($_GET['config_xml'])) {
	header('Content-type: text/xml');
	echo $cfg->getXML();
} else {
	if (isset($_GET['grid_events'])) {
		$cfg->getEventsRecGrid();
	} else {
		if (isset($_GET['scheduler_events'])) {
			$cfg->getEventsRec($usertype, false);
		}
	}
}


?>